MsmSlice.cpp File Reference
`#include "stdinc.h"`
`#include "MsmSlice.h"`
`#include "TermConsumer.h"`
`#include "MsmStrategy.h"`

Go to the source code of this file.

## Classes

class | DoubleLcmPredicate

## Functions

bool | getTheOnlyTwoNonMax (Ideal::const_iterator it, const Exponent *&first, const Exponent *&second, Ideal::const_iterator end, const Term &lcm)

## Function Documentation

## getTheOnlyTwoNonMax()

bool getTheOnlyTwoNonMax | ( | Ideal::const_iterator | it,
|  | const Exponent *& | first,
|  | const Exponent *& | second,
|  | Ideal::const_iterator | end,
|  | const Term & | lcm )

Definition at line 316 of file MsmSlice.cpp.